Public Class Ensaio
    Private _numeroEnsaio As Integer
    Private _nome As String
    Private _codigo As String
    Private _numeroLote As String
    Private _dataEnsaio As Date
    Private _numeroAmostras As Integer
    Private _referenciasPorBloco As Integer
    Private _numeroBlocos As Integer
    Private _intervaloEntreMedicoes As Integer
    Private _tempoIncubacao01 As Integer
    Private _tempoIncubacao02 As Integer
    Private _tempoIncubacao03 As Integer
    Private _referencia01 As String
    Private _referencia02 As String
    Private _referencia03 As String
    Private _concentracao01 As String
    Private _concentracao02 As String
    Private _concentracao03 As String
    Private _unidade01 As String
    Private _unidade02 As String
    Private _unidade03 As String
    Private _tecnicoResponsavel As String
    Private _ampola As String
    Private _tipoEnsaio As String



    Private _acao As Byte
    Public Property numeroEnsaio() As Integer
        Get
            Return _numeroEnsaio
        End Get
        Set(ByVal value As Integer)
            _numeroEnsaio = value
        End Set
    End Property
    Public Property nome() As String
        Get
            Return _nome
        End Get
        Set(ByVal value As String)
            _nome = value
        End Set
    End Property

    Public Property codigo() As String
        Get
            Return _codigo
        End Get
        Set(ByVal value As String)
            _codigo = value
        End Set
    End Property

    Public Property numeroLote() As String
        Get
            Return _numeroLote
        End Get
        Set(ByVal value As String)
            _numeroLote = value
        End Set
    End Property
    Public Property dataEnsaio() As Date
        Get
            Return _dataEnsaio
        End Get
        Set(ByVal value As Date)
            _dataEnsaio = value
        End Set
    End Property
    Public Property numeroAmostras() As Integer
        Get
            Return _numeroAmostras
        End Get
        Set(ByVal value As Integer)
            _numeroAmostras = value
        End Set
    End Property

    Public Property tipoEnsaio() As String
        Get
            Return _tipoEnsaio
        End Get
        Set(ByVal value As String)
            _tipoEnsaio = value
        End Set
    End Property
    Public Property referenciasPorBloco() As Integer
        Get
            Return _referenciasPorBloco
        End Get
        Set(ByVal value As Integer)
            _referenciasPorBloco = value
        End Set
    End Property
    Public Property numeroBlocos() As Integer
        Get
            Return _numeroBlocos
        End Get
        Set(ByVal value As Integer)
            _numeroBlocos = value
        End Set
    End Property
    Public Property intervaloEntreMedicoes() As Integer
        Get
            Return _intervaloEntreMedicoes
        End Get
        Set(ByVal value As Integer)
            _intervaloEntreMedicoes = value
        End Set
    End Property
    Public Property tempoIncubacao01() As Integer
        Get
            Return _tempoIncubacao01
        End Get
        Set(ByVal value As Integer)
            _tempoIncubacao01 = value
        End Set
    End Property
    Public Property tempoIncubacao02() As Integer
        Get
            Return _tempoIncubacao02
        End Get
        Set(ByVal value As Integer)
            _tempoIncubacao02 = value
        End Set
    End Property

    Public Property tempoIncubacao03() As Integer
        Get
            Return _tempoIncubacao03
        End Get
        Set(ByVal value As Integer)
            _tempoIncubacao03 = value
        End Set
    End Property
    Public Property referencia01() As String
        Get
            Return _referencia01
        End Get
        Set(ByVal value As String)
            _referencia01 = value
        End Set
    End Property
    Public Property referencia02() As String
        Get
            Return _referencia02
        End Get
        Set(ByVal value As String)
            _referencia02 = value
        End Set
    End Property
    Public Property referencia03() As String
        Get
            Return _referencia03
        End Get
        Set(ByVal value As String)
            _referencia03 = value
        End Set
    End Property
    Public Property concentracao01() As String
        Get
            Return _concentracao01
        End Get
        Set(ByVal value As String)
            _concentracao01 = value
        End Set
    End Property
    Public Property concentracao02() As String
        Get
            Return _concentracao02
        End Get
        Set(ByVal value As String)
            _concentracao02 = value
        End Set
    End Property
    Public Property concentracao03() As String
        Get
            Return _concentracao03
        End Get
        Set(ByVal value As String)
            _concentracao03 = value
        End Set
    End Property
    Public Property unidade01() As String
        Get
            Return _unidade01
        End Get
        Set(ByVal value As String)
            _unidade01 = value
        End Set
    End Property
    Public Property unidade02() As String
        Get
            Return _unidade02
        End Get
        Set(ByVal value As String)
            _unidade02 = value
        End Set
    End Property
    Public Property unidade03() As String
        Get
            Return _unidade03
        End Get
        Set(ByVal value As String)
            _unidade03 = value
        End Set
    End Property

    Public Property tecnicoResponsavel() As String
        Get
            Return _tecnicoResponsavel
        End Get
        Set(ByVal value As String)
            _tecnicoResponsavel = value
        End Set
    End Property

    Public Property ampola() As String
        Get
            Return _ampola
        End Get
        Set(ByVal value As String)
            _ampola = value
        End Set
    End Property

    Public Property Acao() As Byte
        Get
            Return _acao
        End Get
        Set(ByVal value As Byte)
            _acao = value
        End Set
    End Property
End Class
